Skip to main content
POST
/
api
/
v1
/
templates
Create Template
curl --request POST \
  --url https://draftliftai.com/api/v1/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Weekly Newsletter",
  "description": "A template for weekly email newsletters",
  "platform": "email",
  "character_limit": 5000
}
'
{
  "name": "<string>",
  "description": "<string>",
  "structure": {},
  "id": 123,
  "is_ootb": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "is_audio_video": false,
  "character_limit": 123,
  "platform": "<string>",
  "user_id": 123
}

Authorizations

Authorization
string
header
required

API key (dl_live_...) or Supabase JWT token

Body

application/json
name
string
required
description
string | null
is_audio_video
boolean | null
default:false
character_limit
integer | null
structure
Structure · object
platform
string | null

Response

Successful Response

name
string
required
description
string
required
structure
Structure · object
required
id
integer
required
is_ootb
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
is_audio_video
boolean
default:false
character_limit
integer | null
platform
string | null
user_id
integer | null